Skip to main content
POST
/
pipeline
/
{pipeline_id}
/
tap
/
{component_id}
Start pipeline tap
curl --request POST \
  --url https://api.mezmo.com/v3/pipeline/{pipeline_id}/tap/{component_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 10,
  "timeout": 5,
  "edge_id": "<string>",
  "filter": "<unknown>"
}
'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

pipeline_id
string<uuid>
required
component_id
string
required

The component whose output is to be tapped

Pattern: ^([^\.]+)(?:\.(.+))?$

Body

application/json
limit
integer
default:10

The maximum number of events to return

Required range: 1 <= x <= 100
timeout
integer
default:5

The amount of time, in seconds, to wait for limit events to return before timing out

Required range: 1 <= x <= 20
edge_id
string

Specific edge_id instance to tap

Minimum string length: 1
filter
any

A group of expressions joined together by an and/or operator.

Response

200

Default Response